gov.ornl.mercury3.commands

## Class Referral

- java.lang.Object
- - gov.ornl.mercury3.commands.Referral

- All Implemented Interfaces:
    Serializable

      public class Referral
      extends Object
      implements Serializable

  ornldaac3
  Author:
    zzr
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Referral()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getdate_time()`
    `String` | `getfile_id()`
    `String` | `getindex_name()`
    `String` | `getinstance()`
    `String` | `getsessionId()`
    `String` | `getsource()`
    `String` | `getsub_type()`
    `String` | `gettitle()`
    `int` | `gettransaction_id()`
    `String` | `gettype()`
    `String` | `geturl()`
    `void` | `setdate_time(String date_time)`
    `void` | `setfile_id(String file_id)`
    `void` | `setindex_name(String index_name)`
    `void` | `setinstance(String instance)`
    `void` | `setsessionId(String session_id)`
    `void` | `setsource(String source)`
    `void` | `setsub_type(String sub_type)`
    `void` | `settitle(String title)`
    `void` | `settransaction_id(int transaction_id)`
    `void` | `settype(String type)`
    `void` | `seturl(String url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Referral

          public Referral()

  - ### Method Detail

    - #### getsessionId

          public String getsessionId()

    - #### setsessionId

          public void setsessionId(String session_id)

    - #### getinstance

          public String getinstance()

    - #### setinstance

          public void setinstance(String instance)

    - #### gettransaction_id

          public int gettransaction_id()

    - #### settransaction_id

          public void settransaction_id(int transaction_id)

    - #### getindex_name

          public String getindex_name()

    - #### setindex_name

          public void setindex_name(String index_name)

    - #### getfile_id

          public String getfile_id()

    - #### setfile_id

          public void setfile_id(String file_id)

    - #### getdate_time

          public String getdate_time()

    - #### setdate_time

          public void setdate_time(String date_time)

    - #### gettype

          public String gettype()

    - #### settype

          public void settype(String type)

    - #### getsub_type

          public String getsub_type()

    - #### setsub_type

          public void setsub_type(String sub_type)

    - #### gettitle

          public String gettitle()

    - #### settitle

          public void settitle(String title)

    - #### geturl

          public String geturl()

    - #### seturl

          public void seturl(String url)

    - #### getsource

          public String getsource()

    - #### setsource

          public void setsource(String source)

Copyright © 2016. All rights reserved.